<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.ldt.pointdetail.mapper.PointDetailMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="pointDetailResultMap" type="org.springblade.modules.ldt.pointdetail.entity.PointDetail">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="mall_id" property="mallId"/>
        <result column="shop_id" property="shopId"/>
        <result column="user_id" property="userId"/>
        <result column="member_id" property="memberId"/>
        <result column="type" property="type"/>
        <result column="point" property="point"/>
        <result column="point_value" property="pointValue"/>
    </resultMap>




    <select id="selectPointDetailPage" resultMap="pointDetailResultMap">
        select * from ldt_point_detail where is_deleted = 0
    </select>


</mapper>
